using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using EVCB_OCPP.Packet.Utilities;
using EVCB_OCPP.Packet.Messages.SubTypes;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Messages.Core
{
    public class RemoteStartTransactionConfirmation : IConfirmation
    {
        private IRequest _request = null;

        /// <summary>
        /// Status indicating whether Charge Point 
        /// accepts the request to start a transaction.
        /// </summary>
        [Required]
        [JsonConverter(typeof(StringEnumConverter))]
        public RemoteStartStopStatus status { set; get; }


        public IRequest GetRequest()
        {
            return _request;
        }

        public void SetRequest(IRequest request)
        {
            _request = request;
        }

        public bool Validate()
        {
            return Validator.TryValidateObject(this, new ValidationContext(this), null, true);
        }
    }
}
